### Method

# Gio MenuAttributeIter next

since: 2.32

#### Declaration

    gboolean
    g_menu_attribute_iter_next (
      GMenuAttributeIter* iter
    )

#### Description

Attempts to advance the iterator to the next (possibly first) attribute.

`TRUE` is returned on success, or `FALSE` if there are no more attributes.

You must call this function when you first acquire the iterator to advance it to the first attribute (and determine if the first attribute exists at all).

Available since: 2.32

#### Return value

Type: `gboolean`

`TRUE` on success, or `FALSE` when there are no more attributes.